MKFIFO(1) | General Commands Manual | MKFIFO(1)

# NAME

mkfifo — make fifos

# SYNOPSIS

mkfifo | [-m mode] fifo_name ...

# DESCRIPTION

mkfifo creates the fifos requested, in the order specified, using mode `0666` modified by the current umask(2).

The options are as follows:

-m
  Set the file permission bits of newly-created fifos to mode. The mode is specified as in chmod(1). In symbolic mode strings, the “+” and “-” operators are interpreted relative to an assumed initial mode of “a=rw”

mkfifo requires write permission in the parent directory.

mkfifo exits 0 if successful, and >0 if an error occurred.

# SEE ALSO

mkdir(1), rm(1), mkfifo(2), mknod(8)

# STANDARDS

The mkfifo utility is expected to be IEEE Std 1003.2-1992 (“POSIX.2”) compliant.

# HISTORY

mkfifo command appeared in 4.4BSD.

January 5, 1994 | NetBSD 6.0